Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.spi
Interface WebLogicDConfigBeanRoot

All Superinterfaces:
  DConfigBean, DConfigBeanRoot, WebLogicDConfigBean

    public interface WebLogicDConfigBeanRoot

extends DConfigBeanRoot, WebLogicDConfigBean

This interface provides WebLogic Server extensions to `DConfigBeanRoot`. WebLogicDConfigBeanRoot is the DConfigBean associated with a module's DDBeanRoot.

Field Summary
`static int` | `CHANGABLE` Specifies a property that is a dependency, declaration or configurable
`static int` | `CONFIGURABLE` Specifies a property that is configurable, but doesn't resolve resources
`static int` | `DECLARATION` Specifies a property that identifies an resource declaration
`static int` | `DEPENDENCY` Specifies a property that identifies an resource dependency
`static int` | `DYNAMIC` Specifies a property that may safely be moodified at runtime

Method Summary
`void` | `close()`
`void` | `export(weblogic.descriptor.DescriptorBean bean, String[] props)` Create new plan using variables for properties in descriptor beans.
`void` | `export(int type)` Create new plan using variables for properties in this descriptor.
`String` | `getUri()` Location of configuration descriptor relative to root of the associated module.

Methods inherited from interface javax.enterprise.deploy.spi.DConfigBeanRoot
`getDConfigBean`

Methods inherited from interface javax.enterprise.deploy.spi.DConfigBean
`addPropertyChangeListener, getDConfigBean, getDDBean, getXpaths, removeDConfigBean, removePropertyChangeListener`

Methods inherited from interface weblogic.deploy.api.spi.WebLogicDConfigBean
`getDescriptorBean, isModified, notifyDDChange`

Methods inherited from interface javax.enterprise.deploy.spi.DConfigBean
`addPropertyChangeListener, getDConfigBean, getDDBean, getXpaths, removeDConfigBean, removePropertyChangeListener`

Field Detail

### DEPENDENCY

    static final int DEPENDENCY

  Specifies a property that identifies an resource dependency

  See Also:
    Constant Field Values

### DECLARATION

    static final int DECLARATION

  Specifies a property that identifies an resource declaration

  See Also:
    Constant Field Values

### CONFIGURABLE

    static final int CONFIGURABLE

  Specifies a property that is configurable, but doesn't resolve resources

  See Also:
    Constant Field Values

### CHANGABLE

    static final int CHANGABLE

  Specifies a property that is a dependency, declaration or configurable

  See Also:
    Constant Field Values

### DYNAMIC

    static final int DYNAMIC

  Specifies a property that may safely be moodified at runtime

  See Also:
    Constant Field Values

Method Detail

### export

    void export(int type)
                throws IllegalArgumentException

  Create new plan using variables for properties in this descriptor. Exporting a plan involves ensuring that a subset of descriptor properties have variable assignments (value overrides) and that the override value is unspecified. Export does not save the new plan.

  Parameters:
    `type` - is one of `DEPENDENCY`, `DECLARATION`, `CONFIGURABLE`, `CHANGABLE` or `DYNAMIC`
  Throws:
    `IllegalArgumentException`

### export

    void export(weblogic.descriptor.DescriptorBean bean,
                String[] props)
                throws IllegalArgumentException

  Create new plan using variables for properties in descriptor beans. Exporting a plan involves ensuring that a subset of descriptor properties have variable assignments (value overrides) and that the override value is unspecified. Export does not save the new plan.

  Parameters:
    `bean` - specifies the element containing properties to export
    `props` - is list of property names in the bean to export
  Throws:
    `IllegalArgumentException`

### getUri

    String getUri()

  Location of configuration descriptor relative to root of the associated module.

### close

    void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD